body {
    margin: 0;
    font-family: var(--bs-body-font-family);    
    text-align: var(--bs-body-text-align);
    background-color: var(--bs-body-bg);
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.input-group .btn {
    border-radius: 0 5px 5px 0; /* Bordes redondeados solo a la derecha */
    background-color: #f8f9fa; /* Color más delicado */
    border-color: #ced4da;
}

    .input-group .btn:hover {
        background-color: #e2e6ea;
    }

.titulo_menu_header {
    color: #fff !important;
    background-color: #109648 !important;
    font-size: 17px !important;
}

.subtitulo_iseguros {
    font-size: 1rem !important;
    font-weight: bold;
}

.mx-3 {
    margin-right: 1rem !important;
    margin-left: 1rem !important;
}

.label_morado {
    color: #7851e2 !important;
}

.label_verde {
    color: #109648 !important;
}

.sidebar {
    height: calc(100% -(3.5rem + 1px));
    overflow-x: hidden;
    overflow-y: initial;
    padding-bottom: 0;
    padding-left: 0 !important;
    padding-right: 0 !important;
    padding-top: 0;
    scrollbar-color: #a9a9a9 transparent;
    scrollbar-width: none;
}

.top-navbar-height {
    height: 82px;
}

.col-form-label {
    padding-top: calc(0.375rem + 1px);
    padding-bottom: calc(0.375rem + 1px);
    margin-bottom: 0;
    font-size: inherit;
    line-height: 1.5;
}

h2, .h2 {
    color: #2C2C41 !important;
    font-size: 30px !important;
    font-weight: 700 !important;
}

.nombreAcreedor {
    font-weight: bold;
    text-decoration: underline;
    font-size: 13px;
}

.bg-success {
    background-color: #109648 !important;
}

.bg-ins-car-is {
    background-color: #653279 !important;
}

.bg-ins-fire-is {
    background-color: #EC7A08 !important;
}

.bg-ins-optiseg-is {
    background-color: rgba(236, 122, 8, 0.6) !important;
}

.bg-ins-eqmaq-is {
    background-color: #EAAA00 !important;
}

.bg-ins-rotmaq-is {
    background-color: rgba(234, 170, 0, 0.6) !important;
}

.bg-ins-tdriesg-is {
    background-color: rgba(234, 170, 0, 0.4) !important;
}

.bg-ins-eqelec-is {
    background-color: rgba(234, 170, 0, 0.2) !important;
}

.bg-ins-life-is {
    background-color: #97D700 !important;
}

.bg-ins-ap-is {
    background-color: #E0004D !important;
}

.bg-ins-transp-is {
    background-color: #00B2A9 !important;
}

.bg-ins-casmarit-is {
    background-color: rgba(0, 178, 169, 0.6) !important;
}
.bg-purple-is {
    background-color: #7851e2 !important;
}

.bg-success-soft {
    background-color: #97d700 !important;
}

.bg-purple-is, .bg-purple-is > a {
    color: #fff !important;
}

.bg-success-soft, .bg-success-soft > a {
    color: #fff !important;
}

.bg-ins-car-is, .bg-ins-car-is > a {
    color: #fff !important;
}

.bg-ins-fire-is, .bg-ins-fire-is > a {
    color: #fff !important;
}

.bg-ins-optiseg-is, .bg-ins-optiseg-is > a {
    color: #fff !important;
}

.bg-ins-eqmaq-is, .bg-ins-eqmaq-is > a {
    color: #fff !important;
}

.bg-ins-rotmaq-is, .bg-ins-rotmaq-is {
    color: #fff !important;
}

.bg-ins-tdriesg-is, .bg-ins-tdriesg-is > a {
    color: #fff !important;
}

.bg-ins-eqelec-is, .bg-ins-eqelec-is > a {
    color: #fff !important;
}

.bg-ins-life-is, .bg-ins-life-is > a {
    color: #fff !important;
}

.bg-ins-ap-is, .bg-ins-ap-is > a {
    color: #fff !important;
}

.bg-ins-transp-is, .bg-ins-transp-is > a {
    color: #fff !important;
}

.bg-ins-casmarit-is, .bg-ins-casmarit-is > a {
    color: #fff !important;
}

.text-success-soft {
    color: #97d700 !important;
}

.text-white {
    color: #fff !important;
}

.text-purple-is {
    color: #7851e2 !important;
}

.text-ins-car-is {
    background-color: #653279 !important;
    border-radius: 30px;
}

.text-ins-fire-is {
    background-color: #EC7A08 !important;
    border-radius: 30px;
}

.text-ins-optiseg-is {
    background-color: rgba(236, 122, 8, 0.6) !important;
    border-radius: 30px;
}

.text-ins-eqmaq-is {
    background-color: #EAAA00 !important;
    border-radius: 30px;
}

.text-ins-rotmaq-is {
    background-color: rgba(234, 170, 0, 0.6) !important;
    border-radius: 30px;
}

.text-ins-tdriesg-is {
    background-color: rgba(234, 170, 0, 0.4) !important;
    border-radius: 30px;
}

.text-ins-eqelec-is {
    background-color: rgba(234, 170, 0, 0.2) !important;
    border-radius: 30px;
}

.text-ins-life-is {
    background-color: #97D700 !important;
    border-radius: 30px;
}

.text-ins-ap-is {
    background-color: #E0004D !important;
    border-radius: 30px;
}

.text-ins-transp-is {
    background-color: #00B2A9 !important;
    border-radius: 30px;
}

.text-ins-casmarit-is {
    background-color: #00B2A9 !important;
    border-radius: 30px;
}

.table-striped tbody tr:nth-of-type(odd) {
    background-color: rgb(233 245 238);
}

.table-rows-color tbody tr.odd-color {
    background-color: rgb(233 245 238);
}

.table-rows-color tbody tr.even-color {
    background-color: rgb(255 255 255);
}

div#tbPolicies_filter {
    padding-left: 5%;
}

div#TblMorosidad_filter {
    padding-left: 5%;
}

table tr td {
    font-family: 'Inter', sans-serif !important;
    font-size: 0.8rem !important;
    font-weight: normal !important;
}

table tr th {
    font-family: 'Inter', sans-serif !important;
    font-size: 0.8rem !important;
}

#TblMorosidad tr td {
    padding: .25rem !important;
    font-family: 'Inter', sans-serif;
    font-size: 1rem;
    font-weight: normal;
}

#TblMorosidad tr th {
    padding: .25rem !important;
    font-family: 'Inter', sans-serif;
    font-size: 1rem;
    font-weight: normal;
}

.dt-buttons.btn-group.flex-wrap {
    padding-left: 50%;
    margin-top: -115px;
}

.mt-6 {
    margin-top: 2rem !important;
}

.btn-success {
    color: #fff;
    background-color: #109648;
    border-color: #109648;
    box-shadow: none;
    border-radius: 10px !important;
}

.btn-purple-is {
    color: #fff;
    background-color: #7851e2 !important;
    border-color: #7851e2;
    box-shadow: none;
    border-radius: 10px !important;
}

.btn-success-soft {
    color: #fff !important;
    background-color: #97d700 !important;
    border-color: #97d700;
    box-shadow: none;
    border-radius: 10px !important;
}

body:not(.layout-fixed) .main-sidebar {
    height: inherit;
    min-height: 95% !important;
    position: absolute;
    top: 0;
}

.page-loading {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    -webkit-transition: all .4s .2s ease-in-out;
    transition: all .4s .2s ease-in-out;
    background-color: #fff;
    opacity: 0.75;
    visibility: hidden;
    z-index: 9999;
}

.page-loading.active {
    opacity: 1;
    visibility: visible;
}

.page-loading-inner {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    text-align: center;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    -webkit-transition: opacity .2s ease-in-out;
    transition: opacity .2s ease-in-out;
    opacity: 0.75;
}

.page-loading.active > .page-loading-inner {
    opacity: 1;
}

.page-loading-inner > span {
    display: block;
    font-family: 'Inter', sans-serif;
    font-size: 1rem;
    font-weight: normal;
    color: #737491;
}

.page-spinner {
    display: inline-block;
    width: 2.75rem;
    height: 2.75rem;
    margin-bottom: .75rem;
    vertical-align: text-bottom;
    border: .15em solid #766df4;
    border-right-color: transparent;
    border-radius: 50%;
    -webkit-animation: spinner .75s linear infinite;
    animation: spinner .75s linear infinite;
}

.dashboard-title {
    font-family: 'Inter', sans-serif !important;
    font-size: 0.8rem !important;
    font-weight: normal !important;
}

#spinner-is {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff; 
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.btn-app {
    border-radius: 10px !important;
    background-color: #f8f9fa;
    border: 1px solid #ddd;
    color: #6c757d;
    font-size: 12px;
    height: 47px !important;
    margin: 0 0 5px 5px !important;
    min-width: 80px;
    padding: 6px 2px;
    position: relative;
    text-align: center;
}

.h1-login {
    color: #109648 !important;
    font-size: 27px !important;
    font-weight: 700 !important;
}

.card-1 {
    border-radius: 10px !important;
    box-shadow: 3px 0px 9px rgba(89, 142, 63, 0.23) !important;
    background-color: #fff !important; 
}

.bg-image-is {
    background-color: rgba(0, 0, 0, 0.5) !important;
    background-image: url('../img/fondo_2022_04.png');
    background-size: cover;
    background-repeat: no-repeat;
}

.form-control.param-3 {
    border: solid 1px #B0B1AA;
    /*border-radius: 10px !important;*/
}

.py-3 {
    padding-top: 1rem !important;
    padding-bottom: 1rem !important;
}

.mt-auto {
    margin-top: auto !important;
}

.step.active .step-number {
    background-color: #109648 !important;
}

.fixed-bottom {
    position: fixed;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1030;
}

.footer-iseguros {
    z-index: 999;
}

.bg-iseguros_footer {
    --bs-bg-opacity: 1;
    background-color: rgba(44, 44, 65, 1) !important;
}

.footer-ssrp {
    color: #ffffff;
    font-size: 11px;
    text-align: center;
    margin-bottom: 2px;
}

.footer-text {
    color: #B0B1AA;
    font-size: 10px;
    text-align: center;
    margin-bottom: 2px;
    /* margin-top: 12px; */
}

.display-none {
    display: none;
}

.display-block {
    display: block;
}

.password-strength {
    margin-top: 10px;
    height: 10px;
    width: 100%;
    background-color: #ddd;
    position: relative;
}

.text-small {
    font-size: 10px;
}

#strength-text {
    position: absolute;
    top: -25px;
    left: 0;
    font-size: 14px;
    color: #555;
}

.weak {
    width: 33%;
    background-color: red;
    height: 10px;
}

.medium {
    width: 66%;
    background-color: orange;
    height: 10px;
}

.strong {
    width: 100%;
    background-color: green;
    height: 10px;
}



@-webkit-keyframes spinner {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spinner {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}


.modal-body {
    max-height: 90vh; 
    overflow-y: auto; 
}

.stepper {
    max-height:80vh; /* Ajusta según el tamaño deseado */
    overflow-y: auto; /* Añadir scroll si el contenido es muy alto */
    overflow-x: hidden; /* Evitar desbordamiento horizontal */
}

.stepper-content-container {
    max-height: 80vh; /* Ajusta según el tamaño deseado */
    overflow-y: auto; /* Añadir scroll si el contenido es muy alto */
    padding-right: 10px; /* Espacio para scrollbar */
}

.app-row {
    border-bottom: 1px solid #e9ecef;
    padding: 10px 0;
}

.app-name {
    font-weight: 500;
}

.role-select:disabled {
    background-color: #e9ecef;
}
